Date 7.x-2.14, 2023-01-14
-------------------------
#2898235 by DamienMcKenna, veugenio, photuris5, drumm: Improved test coverage
  for timezone handling.
#3328051 by joseph.olstad, Liam Morland: PHP 8.2 - Fix deprecated dynamic
  properties.
#3204114 by DamienMcKenna, Darren Oh, steinmb, jwilson3, webservant316, ron_s,
  arnoldbird, sadashiv: Date field validation broken after update to 7.x-2.11.
#2581013 by energee, TLWatson, Francewhoa, Pardip Kumar, DamienMcKenna,
  Nikhilesh Gupta, imclean, Anybody, tregismoreira, davidwhthomas, jwilson3:
  Collect end date required toggle is disabled after data entry.
#2572213 by lwalley, DamienMcKenna, frodri: Unable to set class attributes using
  preprocess functions for date display themes.
#2909166 by sakiland, DamienMcKenna: Diff configuration for Date fields.
#3219052 by steinmb, DamienMcKenna: Minor clean up in date_admin.inc.
#2503301 by emmonsaz, DamienMcKenna: Conditional warning on install.
#2907007 by hkirsman, DamienMcKenna: Remove html from date nav if there's no
  content.
#2716659 by extqy, DamienMcKenna: Entity Metadata Wrappers doesn't set correctly
  the value when the entity is translatable, and the field is not.


Date 7.x-2.13, 2022-08-04
-------------------------
#1762120 by DamienMcKenna: Change field timezone handling default to no
  conversion.
#3241762 by DamienMcKenna: Remove date value caching.
#2779769 by DamienMcKenna, CoderBrandon: Time zone handling for Site's time zone
  settings incorrectly sets tz to user's.
#3253233 by Mulambo, DamienMcKenna, Liam Morland, poker10: Deprecated function:
  changing return type (ReturnTypeWillChange).
#3271049 by sudheeshps, DamienMcKenna: PHP 8 compatibility - required function
  arguments after optional ones.
#3270570 by Natallia Kazarynava, DamienMcKenna, steinmb: PHP 8 compatibility:
  warnings during static code analysis using phan.
#3264795 by DamienMcKenna, Liam Morland, poker10: str_replace(): Passing null
  deprecated.
#3248357 by danwonac, solideogloria, DamienMcKenna: date_popup time broken after
  updating to 7.x-3.0-alpha1.
#3159420 by solideogloria, DamienMcKenna: Fatal error: Date theme functions
  passing invalid attributes to theme().
#2570697 by harsha012, DamienMcKenna, JParkinson1991, jasom, Vinay15: Allow a
  generic placeholder to be added.
#3273734 by DamienMcKenna: Verify rdf functions exist before using them.
#3276288 by DamienMcKenna: Change test group to "date" to make running all
  tests easier.
#3276311 by DamienMcKenna: Test coverage for Date Repeat Field submodule.
#3276851 by DamienMcKenna: Test coverage for field timezone conversion.


Date 7.x-2.12, 2021-10-07
-------------------------
No changes since 7.x-2.12-rc1.


Date 7.x-2.12-rc1, 2021-08-27
-----------------------------
#3164305 by solideogloria: Follow-up to fix Damien's typoo.
#3206100 by DamienMcKenna: Disable date_all_day_update_7200().
#3154440 by Ronino, DamienMcKenna: PHP 7.4 notices: Trying to access array
  offset on value of type.
#2074457 by nedjo, DamienMcKenna, anrikun, rovo89, tame4tex, crstnkal,
  johnlaine, Nels, akolahi, solideogloria, mdolnik, yazzbe, april26: Error
  messages from date_entity_metadata_struct_getter().
#3202888 by Ronino, jplana, DamienMcKenna, joelpittet: Undefined index: field
  in date_entity_metadata_struct_getter().
#3207998 by DamienMcKenna: PHP 8.0 compatibility fixes.
#3208467 by DamienMcKenna: Rename "date_test_feature" test content type to just
  "date_test".
#3209659 by steinmb, DamienMcKenna: Coding standards improvements.
#3210211 by DamienMcKenna, steinmb: Refactor date_repeat.test.
#2101397 by Dean Reilly, vijaycs85, Paul B, scottm316, solideogloria,
  DamienMcKenna, guilhermevp, manishsaharan29497, steinmb: DateObject accepts
  "0" as a valid month, day or year.
#3183402 by anrikun, torotil, steinmb, DamienMcKenna: Entity metadata wrapper:
  Unable to set date before 1.1.1970.
#3083197 by ron_s, anrikun, steinmb, DamienMcKenna: Option summary left in Views
  Argument handler breaks Features.
#3224973 by DamienMcKenna: Add "Trigger hook_HOOKNAME" comments in code.
#3225158 by DamienMcKenna: Clean up the codebase using the Coder module.
#3229882 by srdtwc, DamienMcKenna: Syntax issue in repeat_date.
#3226602 by DamienMcKenna: Recover lost popups test file.


Date 7.x-2.11, 2021-03-05
-------------------------
#3177831 by DamienMcKenna: Add test coverage for the All Day functionality.
#3197985 by DamienMcKenna: Expand unit tests for date_is_all_day().
#3197561 by DamienMcKenna: Add functional tests for All Day output.
#3016390 by DamienMcKenna, mr.york, steinmb, joseph.olstad, lily.yan,
  solideogloria, nagy.balint, micahw156, Kevin Morse: Change in "All day"
  end-of-day definition broke existing data.
#3164305 by DamienMcKenna, FranckyLFS, hughworm, preethy211, joelpittet,
  lavamind, derekw, leendertdb: Notices in theme_date_display_combination()
  after upgrading to PHP 7.4.
#2123039 by DamienMcKenna, hgoto, RoSk0, joelpittet, torotil: Default timezone
  setting mismatch in metadata wrapper integration.


Date 7.x-2.11-rc1, 2020-10-02
-----------------------------
#3084897 by steinmb, Chris Matthews: Fix the LICENSE.txt.
#2692215 by DamienMcKenna, stickgrinder, zread: Unconditioned access to
  non-existent array key in date.theme.
#3111299 by DamienMcKenna: Test refactoring, split out Date Popup tests, move
  tests to appropriate submodule.
#2457423 by Liam Morland, ckellyirish, mparker17, DamienMcKenna, bmateus,
  sagannotcarl, katannshaw, Max1, alansaunders92, derekw, alex awg 2015,
  truman_ru, wylbur, nicrodgers, ninabyte, Michele Wickham, iStryker, dsdeiz,
  anpolimus, captainack, ashzade, brad.bulger, cameronprince, Chris Matthews,
  Vali Hutchison, jenlampton, vishal.sheladiya, jshosseini, akolahi:
  Incorrectly-initialized DateTime object(s) cause PHP warnings in
  DateTime::format(), other DateObject functions.
#2595957 by aurelianzaha, DamienMcKenna, hgoto, klausi, pedrogk, FireHawkX,
  Chris Matthews: Field label not displayed when rendering as regular field and
  only using year.
#2359653 by iamEAP, Sweetchuck, franxo, DamienMcKenna: Validation doesn't take
  into account translations of AM or PM.
#3096720 by Liam Morland, ebremner: date_is_all_day() returns FALSE when
  $granularity is not 'hour' or finer.
#1257024 by joseph.olstad, maxocub, steinmb, iMiksu, DamienMcKenna, acbramley:
  Required Date popup field not showing red asterisk.
#3145639 by Ronino, joelpittet: Curly brace syntax for accessing array elements
  and string offsets has been deprecated in PHP 7.4.
#2930732 by NuWans, DamienMcKenna: PHP warning on file_exists fail.
#3161408 by DamienMcKenna, Ronino: Test failure in DateMigrateTestCase.
#3163293 by Steven Jones, joseph.olstad: date_update_7007 will fail with
  different field storage backends.
#2848963 by joelpittet, DamienMcKenna: date_views_filter_handler_simple
 ::operators call t() a lot.
#1762612 by moymilo, cafuego, tamahome14, vanshyr, plachance, steinmb: Error
  "OLD used in query that is not in a rule" in date_api_update_7000 with pgsql.
#3168045 by DamienMcKenna: DateFieldTestBase::dateForm extended incorrectly.
#3168034 by DamienMcKenna: Refactor date_migrate_example to be reusable.


Date 7.x-2.11-beta3, 2019-09-22
-------------------------------
#1392472 by Taran2L, jvandooren, podarok, jeff h, FluxSauce, maen, solotandem,
  nickonom, anrikun, JvE, steinmb, joelpittet: Undefined index: timezone in
  date.field.inc.
#3022378 by dev11235, DamienMcKenna, joelpittet: Date with empty "Repeats #
  Weeks" and "Repeats Every # of Days" validation needed.
#2769057 by id.medion, Chris Matthews, steinmb: Remove unused argument in the
  function calls field_cache_clear() and field_info_cache_clear(),
#3033104 by DamienMcKenna: Add a LICENSE.txt file.
#3032391 by herved, steinmb, skylord, DanielVeza: Empty date fields are being
  displayed.
#3033022 by solotandem, steinmb: Correct reference to granularity setting.
#2701545 by ron_s, Chris Charlton, Chris Matthews, adci_contributor,
  DamienMcKenna: Add support for Date Popup Timepicker module.
#3081547 by bhaskar-chakraborty, DamienMcKenna, vijaycs85: Update 7006 breaks
  when using the field_encrypt module.
#3032835 by solotandem, DamienMcKenna, steinmb, John_B: Validate input to date
  filter handler.


Date 7.x-2.11-beta2, 2018-10-26
-------------------------------
#3009740 by evgeny.chernyavskiy, DamienMcKenna, steinmb: PHP 7.3 compatibility,
  swtich-continue.
#1267434 by Ronino, DamienMcKenna, kingandy: Default value for #date_items
  should be an array in date_field_widget_form().
#2706965 by DamienMcKenna, arulraj, joelstein: Getting browser autocomplete for
  date pop fields.
Reverted #2123039.
#3010076 by DamienMcKenna, steinmb: Improve coding standards in Date module.
#3012729 by joseph.olstad, lazzyvn: Bad variable $elent.
#2843367 by artem0793, Liam Morland, azovsky: String Offset errors on edit page
  using PHP 7.1.0.
#2447277 by SebCorbin, steinmb: Performance: replace sylesheets[all][] with
  attached.
#2990189 by solotandem, jacob.embree, theaxe, sonnykt: Illegal string offset
  'value' in date_combo_element_process.
#2792385 by binoli.addweb, brunodbo, pingwin4eg, joelpittet, DamienMcKenna:
  Include project namespace in dependency declaration.
#1138210 by djdevin, kyoder, coltrane, cafuego, JvE: date_sql_handler
  STR_TO_DATE math incorrect.
#1415210 by jgullstr, nmudgal, ohthehugemanatee, djdevin, asirjacques,
  christine1126, steinmb, cydharttha, Jelle_S: Date popup calender doesn't
  popup when reach to text-field via tab.
#2894759 by DamienMcKenna, Mansi.AddWeb, hiramanpatil,
  Michael_Lessard_micles.biz, steinmb: (All Day) : the parantheses are
  hardcoded.
#2703401 by jacob.embree, le72, Chris2: Bad assumption about year range format
  in date_devel_generate().


Date 7.x-2.11-beta1, 2018-10-26
-------------------------------
#2937071 by DamienMcKenna: Tidy up the CHANGELOG.txt file.
#2514146 by ram4nd: Remove the .gitignore file.
#2533080 by jribeiro, DamienMcKenna, rajeev_drupal, badjava: 'clone' is a
  reserved keyword introduced in PHP version 5.0 and cannot be invoked as a
  function.
#2843367 by RemyAroundTown, alesr, joelpittet, DamienMcKenna, oadaeh,
  ikeigenwijs, johnzzon, Novitsh, matthiasm11, glynster, robertgarrigos,
  dchatry, szeidler, Majdi, Plazik, NancyDru, nanobyt3: String Offset errors on
  edit page using PHP 7.1.0.
#2889636 by MustangGB, ikeigenwijs, Stevel: Fix PHP 7 tests.
#2503807 by DamienMcKenna: Date Pager position has no effect after updating to
  Views 3.11.
#2995679 by Liam Morland, joseph.olstad: PHP 7.1 no longer converts string to
  arrays the first time a value is assigned with square bracket notation.
#2889759 by ladybug_3777: Exposed Date Filter - PHP 7 Error.
#2449261 by daniel_j, pcho, joseph.olstad, David Hernández, collinhaines,
  vinmassaro, SkyNet Costa Rica: expects an array, not a scalar - Fatal error:
  Cannot create references to/from string offsets.
#1741062 by kim.pepper: The merge method of DateObject class has a wrong
  parameter type.
#2873415 by Squee3P0, jcisio, rujinxero, digitaltodd, fdverwoerd, Stray14: PHP
  5.3 - Date field being flagged as Invalid date not actually invalid.
#2902829 by JayKandari, tucho, nileshlohar, matthiasm11, mr.york, kmonty:
  Formatter settings for Custom date type is not getting saved.
#2208769 by Cracu, bunthorne, jeni_dc, Proteo, Reis Quarteu, echoz: Theme hook
  not found while managing date field.
#3002449 by plach: Timezone rendered when theming date formats without time.
#2123039 by Gold, hgoto, DamienMcKenna: Add Entity API as a new test dependency.
#2123039 by Gold, hgoto, DamienMcKenna, RoSk0, Juterpillar, joachim: Default
  timezone setting mismatch in metadata wrapper integration.
#2323857 by anpolimus, DamienMcKenna, claudiu.cristea, catch, joelpittet:
  date_field_schema() has no index on date.
#2016787 by r-mo, DamienMcKenna, joep.hendrix, heddn, julien_g: Change date
  fields to "big" int values to avoid "PDOException 22003" errors.
#1137062 by El Alemaño, Nelson Lago, bjcooper, ron_s, ronnienorwood, lunazoid,
  Michael_Lessard_micles.biz, DamienMcKenna, vinmassaro: Follow-up to fix
  regression on week calculations.
#1177198 by tim.plunkett, DamienMcKenna, MustangGB, arlinsandbulte, KarenS:
  Allow CTools to process #dependency for date elements.
#1778220 by hswong3i, kpyan8s, jacob.embree: Remove version from
  date_migrate_example.info for better git_deploy integration.
#2880395 by DamienMcKenna, jojonaloha, GoZ: Fatal error: DateTimeZone could not
  be converted to string.
#2100851 by Juterpillar, Drupa1ish, RoSk0, pingwin4eg, acbramley: Date views
  exposed filter causes SQL error on PostgreSQL.
#2453445 by DamienMcKenna, dan3h, rahul.nahar001: PDOException not handled when
  using PostgreSQL without timezone support.
#2204713 by BR0kEN, jstoller, ebeyrent, gaurav.goyal: Undefined index
  #default_value in date_select_element_process.
#2291271 by emek, LoonyLuna, periksson: Datepicker needs dynamic width.
#2851020 by jacob.embree, nileshlohar, AshwiniPatil, rahul.nahar001,
  Pranjal.addweb, DamienMcKenna, darshanchoudhary: Use of uppercase for PHP
  constants.
#2832257 by danuddara, alexbarrett: Typo error - "The upcoming date less then 1
  day" - date.theme.
#2844948 by jiv_e: Notice: Undefined index: tz in date_ical_date().
#1882432 by DamienMcKenna, lolandese: Improve the module'\''s README.txt files.
#346752 by rreiss, DamienMcKenna: RTL support.


Date 7.x-2.10, 2017-04-07
-------------------------
#1037150 by raggax2, vishy_singhal, >antroxim, Risse: date_popup element with
  just time doesn't work.
#2648114 by tsapenkoum: DateTime::format(): The DateTime object has not been
  correctly initialized by its constructor in DateObject->format().
#2780415 by prince_zyxware, DamienMcKenna: As per Drupal coding standards, use
  uppercase for PHP constants.
#2646646 by anpolimus, Stevel, DamienMcKenna: Tests are broken on current
  7.x-2.x branch.
#2412049 by Stevel: DateMigrateExampleUnitTest fails if migrate is missing
#2186191 by kaare, jiv_e, DamienMcKenna, welly, PascalAnimateur, lussoluca,
  mErilainen, vijaycs85, paulwdru, zerolab, joep.hendrix, marc.groth, podarok,
  pmackay, idebr, jastraat, WorldFallz, autopoietic, streever: Missing help text
#2377623 by ekli">Gergely Lekli, qzmenko: Remove unnecessary space in data_combo
  title.


Date 7.x-2.10-rc1, 2016-04-27
-----------------------------
#1355256 by develCuy, barraponto, KarenS, jgullstr, Romash: date field minutes
  and seconds rounding after update/save.
#1889744 by tatyana, mstrelan, mariagwyn:  PDOException when saving date as unix
  timestamp.
#1504202 by seanB, steinmb: Allow entering of custom date format in Views field
  handlers.
#2532636 by jstoller: Undefined index: #default_value in
  date_popup_process_time_part().
#1699312 by gmclelland, pounard, Niklas Fiekas, azinck, netlooker: Fatal error:
  Call to undefined function date_field_widget_settings_form_validate() in
  form.inc.
#1874422 by danwonac, bluetegu, SeanA, rv0, brockfanning: Pager may cause
  incorrect "prev" or "next" link.
#2038057 by vijaycs85, djdevin, pivanov: date_select element's default value as
  an array raises a warning.
#2026545 by mistermoper, Jon Nunan: Date field's interval formatter always uses
  start date.
#2331975 by BarisW, StryKaizer: Sync end date for the date popup functionality.
#2339119 by maximpodorov, darkdim: Notice: Undefined index: date in
  date_text_element_process().
#2570239 by PascalAnimateur: Display date range as span instead of div
#2611968 by FluxSauce: PHP Fatal error: Class 'MigrateFieldHandler' not found
#2160843 by ohokare">nupur.lohokare: Grammar issue: "Date objects can be created
  and cached as date fields are loaded rather than when they are displayed to
  improve performance".


Date 7.x-2.10-beta1, 2016-01-08
-------------------------------
#2325207 by jojonaloha, v1nk, podarok: DateTimeZone could not be converted to
  string.
#2469189 by TommyK: Notice: Undefined index: show_remaining_days in
  date_field_formatter_view() (line 210 of …/date/date.field.inc).
#1854220 by ryanissamson, paravibe: Add module_exists so that error isn't thrown
  when disabling date_repeat_field module.
#2375235 by Lostboy22, steinmb, rsmylski, Jelle_S: Calendar block Next/Prev
  navigation broken.
#1889744 by tatyana, mstrelan, mariagwyn: PDOException when saving date as unix
  timestamp.
#1797630 by damiankloip, webby7097, Fabianx: 'Is empty(null)' views filter is
  not working with exposed operators enabled when actual date values are left
  empty.


Date 7.x-2.9, 2015-09-08
------------------------
#2072679 by leewillis77: SQLSTATE[42S22] error and no results when multiple
  dates included in views filter.
#2503315 by CptCasual: Fatal error: Cannot unset string offsets in
  date_elements.inc.
#2543442 by dawehner: Expose site-wide date input format in the UI.
#1993110 by Hanno, tsyvs, Valentine94: field type not translatable.
#1675844 by mpdonadio, justin2pin, paravibe, Valentine94: The "Repeat" checkbox
  does not open / close the correct fieldset in some circumstances.


Date 7.x-2.9-rc1, 2015-03-27
----------------------------
#2199587 by oadaeh, jmuzz: Second validation of date popup causes error.
#2374287 by vijaycs85, herd45: Error messageNotice: Undefined index: value in
  date_views_select_validate.
#2420323 by Michelle: Exposed date filter shouldn't automatically set a default
  date if none requested.
#1437892 by stefan.r, interdruper: Undefined index notices in date_popup.module
  and default values disappear.
#2372073 by vijaycs85, Lostboy22, maximpodorov, stefan.r: Undefined variable:
 granularity in date_views_plugin_pager->query() (line 285 of date_views
 /includes/date_views_plugin_pager.inc.
#2451027 by Chewie, stBorchert: Migrate module: undefined index timezone error.
#206127 by TravisCarden, BenPoole, dwightaspinwall, nerdcore, georgir: Add
  ability to sort Views exposed filters SELECT lists in reverse.
#2235393 by Pere Orga, andrdrx: CSS pseudoselector 'ends with' should not be
  used with the class attribute.
#1078788 by jacob.embree, mgifford: Coder issues in Date.
#1137062 by Sylvain Lecoy, schifazl, hughworm: date_week_range and
  date_iso_week_range both returns 1 day too much.


Date 7.x-2.9-beta2, 2014-12-04
------------------------------
#1166036 by andriyun | Palmeus: Showing the remaining days until event.
#2359673 by korgik: Fixed Wrong condition in removeGranularity method.
#2375605 by cosmicdreams, ssdas: When configured to use Date's timezone and
  using a muti-value date field, I expect each date field to remember the
  timezone that was set.
#2371471 by schifazl, anrikun, esomething, MXT, maximpodorov, alayham,
  Lostboy22, k.skarlatos: Error with entity_metadata_wrapper for Date Field with
  Start But No End.
#2332181 by bneil, cafuego: Add update hook for date_views variables.


Date 7.x-2.9-beta1, 2014-11-08
-------------------------------
#2366199 by vlad.dancer: Sniffer fixes.
#2325425 by catch: Fixed Trim input dates in date_popup.
#2238135 by Valentine94, cs_shadow, e5sego: Fixed 0 (zero) time value will be
  rejected.
#2277107 by LinL: Fixed Date API's Status report entry repeats the word "to".
#2367791 by sergiuteaca: Fixed Extra white space before full stop on Repeat
  title.
#2367779 by andreyks, sanchiz: Fixed Regression in date_popup.js after code
  cleanup.
#1246940 by yingtho, andreyks | acbramley: Added more custom formats for Date
  Popup.
#1909566 by Valentine94, Ronino: Fixed Devel generate fails for date fields
  with absolute years in ranges.
#1997774 by Valentine94, ryan.armstrong, haggins: Added Update Time Entry plugin
  to 1.5.2.
#2369691 by sanchiz: Code standarts in date.theme.
#1487700 by Valentine94, Jorrit, El Alemaño | casey: Added Views date pager,
  option to skip empty pages.
#1878970 by Elijah Lynn, Valentine94: Fixed Entering 4 digit year manually.
  Extra spacing at beginning/end is not trimmed, results in validation error.
#2279831 by itarato: Fixed Date field validation breaks if it's coming from a
  Panels visibility rule.
#1467712 by ankur_novatree, anrikun, jmonkfish, fledev, MustangGB, DuaelFr,
  jibran, l0coful: Added Make it possible to disable fieldset for date field.
#2026811 by kala4ek, forgenator: Fixed Views argument in contextual filter
  doesn't have all granularity options.
#2367595 by jbubik: Fixed 'r' formatter produces RFC2822-incompliant results in
  non-English environment.
#2361671 by mfernea: Fixed Notice returned in
  date_default_formatter_settings_summary when using custom settings.
#1885270 by Eduardo Alvarez, mareksal, JvE | haffmans: Fixed UTC time zone
  handling shows UTC, not converted, date/time.


Date 7.x-2.9-alpha2, 2014-09-24
-------------------------------
#2309015 by msankhala, Temoor: Fixed views date field exposed filter default
  value not being added in $form_state['input'] when initially views loads.
#2323191 by guillaumev: Fixed Issue with testing.
#2313587 by BWPanda: Fixed Incorrect permission name.


Date 7.x-2.9-alpha1, 2014-07-31
-------------------------------
#2294973 by lsabug, micahw156, keesje: Fixed Date format in calendar title
  remains default.


Date 7.x-2.8, 2014-07-29
------------------------
#106713 by vijaycs85, heddn: Date Field title XSS(SA).
#2310123 by Temoor: Fixed Fatal error in Migrate UI by Date Migrate Example.
#2142277 by Temoor, lliss: Fixed Infinite Loop When Using Repeating Dates.
#1871136 by Temoor, funkimunky: Fixed Cannot remove migrate example content
  type.
#2261395 by minorOffense, kristofferwiklund: Fixed date_now is not respecting
  changes to timezone.
#1832400 by imot3k, balintk: Fixed "The year/month/... is missing" error message
  is not translatable.
#998076 by coredumperror, joelcollinsdc, brenk28: Fixed Problem with timezone
  handling (caused by date_get_timezone_db returning only UTC).
#1976014 by Harmageddon: Remove unnecessary &nbsp; in date views pager.
#2198807 by stickywes: Refactor field tests to utilize DateFieldTestBase.
#2146461 by vijaycs85, Razia_b: Fixed Translated field's label is not used in
  its validation messages.
#1874422 by bluetegu, brockfanning, rv0: Fixed Week pager may cause incorrect
  "next" link on year change.
#2167015 by schifazl: HTML output breaks validation and accessibility.
#2200513 by scor: Fix encoding issues in CHANGELOG.txt.
#2115377 by coredumperror: Notice: Undefined index: add_microdata in
  theme_date_display_single().
#2178299 by sandykadam, joachim: Incorrect variable name in
  hook_views_data_alter().
#1431952 by Cadila, Shawn DeArmond: Date field will only set in Rules if it
  already has a value.
#355058 by Grimreaper, prunelle: Hardcoded day/month/week output format for
  theme_date_nav_title().
#1968828 by pjcdawkins: Replace field_info_fields() with field_info_field_map()
  for Drupal >= 7.22.
#2167033 by podarok, vijaycs85: Fixing tests in 2014.


Date 7.x-2.7, 2013-12-21
------------------------
#1691342 by Cyberwolf: Field description is displayed multiple times.
#1668240 by ianthomas_uk: /themes/jquery.timeentry.css is not aggregated with
  other CSS files.
#1974056 by pjcdawkins: Add a CSS class to the date repeat rule.
#2065749 by vijaycs85, blackdog: $class in theme_date_repeat_rrule is not used.
#1840008 by cr0ss, Alan D: Unlock "Date attributes" (granularity) field setting.
#1580032 by jmuzz, 30equals: Date values are not being saved when field is used
  in a nested field collection.
#2071629 by blackdog: #after_build wrongly added, overwrites other modules.
#1869962 by kaidjohnson: Date Context breaks context edit form.
#1571258 by David_Rothstein, ddalvi: Date and time form elements do not have
  accessible labels when the label position is set to 'Within' or 'None'.
#2130575 by kostajh: Unset() should be used with more caution in
  views_filter_handler_simple().inc.
#1826598 by eromba, jyee: 'c' and 'r' formatter causes date to be printed twice
  in views.
#1933472 by minorOffense: Added Optimize date_now() function.
#1248786 by kenneth.venken, dboulet: Fixed appearance of marker for required
  date fields.
#1810734 by ParisLiakos: Fixed Repeat checkboxes working reversed with updated
  jQuery.
#1844092 by dboulet, kardave, Spleshka: Fixed Untranslated strings: month, day,
 ...
#1202248 by james.williams, dawehner, mikehues, DamienMcKenna: Fixed Exported
  view doesn't include 'default_argument_options()' attribute.
#1409120 by anrikun, akamustang, marsbidon: Added Date format in views exposed
  filter does not respect configured format.
#1858112 by tomdearden: Fixed DateObject->difference not calculating correctly
  for future dates > 1 year away.
#1659466 by artkon: Fixed Date filter does not remember value in views if the
  identifier is something other than date_filter().
#1905096 by gielfeldt: Fixed Wrong usage of database API.
#1791804 by 5n00py: Errors on form validation if date field placed in sub-form.
#636208 by KarenS: Date range: Expose a single filter to select events that
  start before the chosen date and end after the chosen date by anrikun.
#2024269 by KarenS: Date popup documentation fix by RoySegall.
#1835184 by Steven Jones, das-peter, jwhat: Fixed date_limit_format() can have
  poor performance.
#991830 by milesw, restyler: Fixed validation errors when date_popup() date is
  localized.
#2098715 by jhodgdon: Fixed Date field not obeying widget alters for #required.
#1266688 by linclark, rbayliss, fago, colette: Support microdata in date fields.
#1863610 by maximpodorov: Fixed Invalid date formatting.
#2034231/#1832544 by mikeryan: Class registration for Migrate 2.5 or later.
#1835214 by PatchRanger: Automated tests failing - Exception thrown in Date2
  migration.
#1350604 by Alan D., johaziel: Added Diff support for Date fields.
#2086313 by dooug: Fixed Wrong path in date_popup() README.txt
#1455558 by BTMash, mediameriquat: Fixed Missing file in date_views().info
  causes error 500.
#1697322 by Alan D., ianmthomasuk, pandikamal: Fixed Call to a member function
  getName() on a non-object in date api.
By KarenS: Code cleanup, remove #prev values that were never used in repeat
  functionality.
By KarenS: Small fix needed to ensure cardinality gets set correctly if repeat
  option is changed in the UI.


Date 7.x-2.6, 2012-08-13
------------------------
#1423364 by catmat: Add file and path to hook_context_plugins().
#1713248 by KarenS: Remove incorrect use of date_popup() function in previous
  commit.
#1143680 by kristiaanvandeneynde: Make Date Popup widget able to accept custom
  settings.
#1596546 by applicity_sam: Make sure incorrect month name creates validation
  error.
#1432702 by KarenS: Fix some miscellaneous problems with date example dates and
  formats.
#1512464 by Liam Moreland: Allow for undefined formatter in Date upgrade
  handling.
#1659638 by bojanz: Hide install message if Drupal is not installed (i.e. in
  install profiles).
#1605158 by covenantd: Be sure value2 is initiated in Date Context handler.
#1355256 by barraponto, develCuy, KarenS: Set default value for date text
  widget increment to 1, and update existing fields.
#1561306 by Cyberwolf: Date pager replacement was not working correctly when
  used with multiple dates.
#1541740 by hass: Make Date requirements more easily translatable.
#1543524 by iamEAP: Add update hook to remove the D6 date_timezone field from
  users.
#1603640 by bevan: Don't return anything for empty date interval.
#1235508 by KarenS: Make sure that ISO strings with '00' in the month and/or day
  don't create dates for the previous month and day.
#1289270 by pdrake: Fixed date arguments and filters do not work with
  relationships.
#895760 by Reinette: Added RFC2447 option 'STATUS' to date_api_ical().inc.
#606658 by johnmunro, KarenS, Make sure ical import processes multi-day all-day
  events correctly.
#1408216 by KarenS: Need to be sure that NULL is the default state for the SQL
  functions.
#1540410 by KarenS: Update the Date Tools calendar creation wizard to use the
  new calendar path.


Date 7.x-2.5, 2012-04-19
------------------------
By KarenS: Fix nasty errors on views that have no row indexes, like the frontage
  view.


Date 7.x-2.4, 2012-04-19
------------------------
#1534342 by bass: Make name of clean pager option easier to translate.
By KarenS: Add a hook to alter the default date for a Date argument.
#1531904 by KarenS: Make sure that multiple value dates that have the delta set
  only display the selected value.
Revert Issue #1266688 by fago, This change broke Entity token support.


Date 7.x-2.3, 2012-04-01
-------------------------------
#1444804: Remove html placeholder on text widget.
#1286230: Clean up date pager documentation, it contains deprecated information.
#1469020: Make sure page not found is working right for dates outside the
  specified range.
#1111626: Fix some problems caused by passing in a date string with an offset.
#1477860: Avoid undefined index errors in date_views_select_validate().
#1469038: Add some clarity to the BYDAY description options and make sure a
  valid value is selected.
#1405364 by snufkin: Add display options to format_interval to match Views
  interval options.
#1266688 by linclark: Add microdata support to Date metadata.
#1509434 by casey: Add timezone info in hook_field_presave() instead of
  hook_field_insert() and hook_field_update().
#1509012, Fix fatal error when viewing repeat tab.
#1037174 by dealancer: More work to allow ajax to work on other widgets.
#1473592 by zabelc: Make sure migrated date with missing end date still gets
  imported correctly.
#1442718 by jastraat, bones: Make sure show end date checkbox does not display
  when end date is empty.
#1504556 by KarenS: Fix invalid access permission name in Date API configuration
  menu.
#1484458 by KarenS: Vega timepicker code was incorrectly computing the default
  date because of the wrong format for the value passed to it.
#1459668 by KarenS: Add back Remove date_field_get_sql_handler() function
  temporarily since Signup module is still using it. Mark it deprecated.
#1478296 by KarenS: Display longer abbreviations for day names in date repeat
  widget so they can be translated.
#1488662 by martin.heidegger: Make error message more easily translatable.
#1478848 by onelittleant: Don't set default values on new translation entities.
#1360672 by KarenS: Fix limit format code to remove leftover non-ascii text as
  well as leftover ascii text.
#1464280 by geerlingguy, Georgique, dealancer: Fix notice when using exposed
  between filter.
#1484640 by onelittleant: Some entities may not have base tables.
#1472966 by KarenS: Get rid of notice that appears for entities without repeats.
By KarenS: Move pager css around. Some code in Calendar and Date API belongs in
  Date Views.
By KarenS: Fix Date Popup default format which was ending up using 24 hour time
  no matter what format was used for short format.
By KarenS: Remove outdated _repeat widget name from Date Tools.
By KarenS: Date Tools is defaulting to creating a calendar even if Calendar
  module is not enabled.
#1472148 by arlinsandbulte: wvega jQuery time-picker doesn't show scrollbar.
#1392128 by kidrobot, tim.plunkett, willvincent: Fixed Repeats tab shows on
  nodes with non-repeating dates.
#1452882 by coredumperror: Fixed Date Migrate Example doesn't deregister it's
  migration when disabled.
#1452408 by reglogge: Fixed Trailing dots are removed from date formats even if
  they are needed for the format.
#1285260 by Steven Jones: Fixed 'Starting from' display option.
#1467244 by bluetegu: Fixed Recurring Sunday errors.
#1442718, Empty default values were getting populated by the code that tried to
  fix default values on hidden fields.
By KarenS: Make sure date_handler->placeholders gets initialized even for
  queries that don't execute so the pager won't throw an exception if the value
  is missing.


Date 7.x-2.2, 2012-02-24
------------------------
By KarenS: The iCal templates were removed and moved to the new Date iCal module
  (http://drupal.org/project/date_ical).
#1423364 by emptyvoid, Move Date context plugin into its own file.
#1447372 by yched, Memory friendlier version of date_repeat_field_bundles().
#1447140 by tim.plunkett: Remove iCal-related theme functions/files.
#1284170 by benjifisher, Lots of cleanup of the iCal export and its template to
  be sure all day items are exported correctly.
#1346424, The calendar title got left out of the latest ical template changes.
By KarenS: Add more information to the date_views_base_tables() function about
  why we can't use the entity type from views_fetch_data().
By KarenS: Additional handling is needed so that revisions are handled correctly
  in Views.
By KarenS: Remove date_field_get_sql_handler() function which isn't being used
  anywhere.
By KarenS: Rework the Date Views hooks that queue up the right fields and base
  tables so they work better across all types of entities.
By KarenS: Fix the hooks for file tables, it is file_managed, not files.
By KarenS: Add a helper function to map entity types to Views base tables to
  make it easier to know what type of entity is being used on a view.
By KarenS: Add status information to Date help screen, hide the non-working
  change tab on the Date Tools screen, and remove some code that goes to the
  calendar module from Date Tools.


Date 7.x-2.1, 2012-02-14
------------------------
#1437242 by zerbash, Remove extraneous leading slashes in module_load_include().
#1436722 by hefox: Fixed Undefined variable $form_set_error() used as function.
#1250626 by Gábor Hojtsy, B-Prod, hefox: Added start date and end date labels.
#1253482, Make sure $argument->is_default gets reset by the Date pager when
  altering results.
By KarenS: Adjust Date Tools to work with changes to use Views templates to
  create calendars.
#1398584 by dhalbert and KarneS, Make sure groupby times is initialized.
#1394248 by KarenS: Make sure all date parts are selected when using an exposed
  select filter.
#1425774 by sgabe: Fix error in exposed filter, array_filter() -- first argument
  should be an array in date_select_input_date().
#1432992 by bart.hanssens: Fix typo in php documentation.
#323852 by tim.plunkett and arlinsandbulte, Dropdowns shouldn't include a blank
  option when required.
#323852 by KarenS: Validation was broken for unlimited value select widgets with
  required dates, they were incorrectly getting their end dates cleared out.
#1424656 by tim.plunkett: Unify signature and alters of #process callbacks.
#1408014 by dasjo: We no longer need the $error_element value to display errors
  properly, second follow-up.
#1299030 by Vincent B: Ensure that 'To Date' is properly marked when required.


Date 7.x-2.0-rc2, 2012-02-01
----------------------------
New Features/Major Changes:
#1358790 by tim.plunkett and redndahead: Store date objects in field_load to
  speed up processing, with a field setting option to control it.

Bugfixes:
#1423598 by KarenS: Found a way to flag items that are new so we know when to
  add default values.
By KarenS: Made some fixes to find and test the right entities when checking
  whether to use default values. More work is needed.
#1422600 by KarenS: Make sure end date cannot cause validation errors when show
  end date checkbox is not checked.
#1417872 by KarenS: Remove code to compute missing date parts from empty values
  now that the new validation prevents that from working.
#1417872 by KarenS: Make sure empty year field is validated in the same way
  other date parts are validated.
By KarenS: Alter date field test to test with a complete end date instead of
  using empty elements.
By KarenS: Fix broken logic in repeat additions.
By KarenS: Fix test broken by date repeat clean up.
#1419106 by hanoii: Added more info to hook_date_text_process_alter().
#1209026 by KarenS: When date validation fails, Date Popup value is getting
  cleared.
#1017216 by tim.plunkett, arlinsandbulte: Added custom date format without time
  shows 'all day'.
#1408014 by dasjo: We no longer need the $error_element value to display errors
  properly.
#554546 by master-of-magic: Fix Timezone list translation
#1411038 by jhodgdon: Fixed Date formatting is not obeying granularity.
#1359464 by KarenS: Make sure that default values on hidden elements have the
  same construct as loaded values to avoid errors.
#1399744 by tim.plunkett: Rework the way filter groups are used to be sure the
  Date filter group does not clobber the Views filter group.
#1411862 by KarenS: Move the date_views_fields() function into date_view.module
  to be sure it is always available.
#1380350 by KarenS: Rework SQL query handling to pass in a comparison date for
  computing offsets to better handle dates affected by DST adjustments.
#1359464 by KarenS: Temporary fix for broken handling of repeating dates on
  users with a TODO to figure out where it's coming from.
#1404494 by byrond: Make sure hidden formatters don't get switched to
  date_default in update hook.
#1386012 by KarenS: Order weekdays in Date Repeat form to match the site first
  day of week settings.
#1376476 by pbfleetwood: Add commas to default formatting of week and day
  headers.
#1408430 by KarenS: Views pagination with exposed, unset, filters, results in
  invalid default values. Treat them as empty input.
#1408996 by KarenS: Exposed Date Popup widget with time not correctly
  initialized.
#1271726 by KarenS: Text widgets in exposed filters used with pagers produce
  unexpected results.
#1096000 by KarenS: Custom date formats not working right.
#1405364 by KarenS: Format interval settings were getting overridden by missing
  break.
#1387890 by KarenS: Make sure disabled fields are shown and retain their
  original values.
#1402232 by timplunkett: Switch 'Implementation of' to 'Implements'
#1402236 by timplunkett: All functions should be prefixed with your module name
  to avoid name clashes
#1402238 by timplumkett: Remove references to CCK
#1011624 by KarenS: Filters and arguments were not always using the right base
  table to select field options, causing 'column missing' errors.
#1397822 by KarenS: Fix 'Undefined index: field' error on line 207 of
  date_views_filter_handler_simple.inc.
#1396536 by KarenS: Repeating fields weren't getting created with Devel Generate
  because of the change in widgets. Add new hooks so Date Repeat Field can add
    the repeats.
#1397126 by arlinsandbulte: Fix broken tests.
#1397158 by KarenS: The default value for the end date was using the wrong
  timezone setting.
#1392128 by kidrobot, tim.plunkett: Don't show repeat tab unless the date is
  repeating.
#1397126 by KarenS: Add Date API section to administration menu and consolidate
  Date Popup and Date Tools settings there.
By KarenS: Follow up to Issue #1302052 by benjifisher, More clean up of ical
  line endings.
#1388174 by travist: Remove redundant use of date_default_timezone().
#1388586 by Moloc: Don't use check_plain() on system messages with links.
#1302052 by benjifisher, penguin25, helmo: Fix linespace ending problems in ical
  files.
#1357216: The Date Views field list was including the Date Views filter itself,
  creating errors about missing node.date_filter values.
#1259870: Reinstate the test for a missing date argument for the pager.
By KarenS: The new option to hide the add_delta for simple fields needs to be
  adjusted to work right where there is no field.
By KarenS: Tweak the all day formula to check for 59:59 even for items that use
  increments, to help fix problems when the calendar creates all day values.
By KarenS: Our test for whether this is a Date argument or filter needs to
  include a check that the field was actually processed by Date Views. Some
    dates are not.
By KarenS: Revert the change to 7.8. It breaks the modules page.
#1379172 by deviantpixel: Note that the Date Repeat form uses a function that
  was re-named in 7.8.
By KarenS: Store the locale format in a static cache to avoid re-computing it
  dozens of times on calendar views.
By KarenS: Sheesh. Fix syntax error in api.date.php.


Date 7.x-2.0-rc1, 2011-12-20
----------------------------
The Date Browser has been removed. Please use the Date Pager instead. If you
have existing views using the Date Browser the navigation will just disappear
from them. If you add a Date Pager to the view you should get it back. Then
delete the Date Browser attachment from the view, since it doesn't do anything
any more.

The UNTIL date was not getting included in repeating results and that is now
fixed. This is an API change of sorts for anyone who worked around the issue by
setting it ahead.

The All Day checkbox and All Day themes were moved into a separate module, using
new hooks added to the date processing. This module should serve as an example
of how other modules can inject functionality into date fields.

A new module has been added for integrating the Date Repeat API into date
fields. Some of this code has been moved into the new module, more of it will be
moved later as I figure out how to unwind it from the base processing. An update
hook has been added to enable this module by default for existing sites. If you
don't use Repeating dates you can disable it.

New Features/Major Changes:
#1229378 by ksenzee: Sync the end date with the start date on new dates using
  select widgets.
#1236216 by KarenS: Move the repeating date integration out of the Date module
  and into a separate, Date Repeat Field module.
#874322 by KarenS: The All Day functionality has been moved into a separate
  module and hooks were added to make it easier for other modules to inject
  steps into date processing.
#1267046 by KarenS: Include the UNTIL date in repeating results.
#1354606 by temaruk: Rework the repeating date UI to make it more user-friendly.
#1362654 by KarenS: Remove Advanced Help integration, it needs a total rewrite.
#1357362 by KarenS: Remove Date Browser, use Date Pager instead.
#1354606 by KarenS: Make sure COUNT option without UNTIL date can be handled
  correctly by repeating date computations.

Bugfixes
By KarenS: Fix to new default date handling, the default date has to set a date
  in the database timezone, not the display timezone.
#1245106 by Gábor Hojtsy, Hide the option to add the delta into the view for
  single value fields.
#1370876 by KarenS: Make sure new Date All Day code does not try to set the
  popup values if Date Popup is disabled.
#874322 by KarenS: Add back the date_field_all_day() function to avoid breaking
  other modules that are using it.
By KarenS: Fix Date text placeholder to display a formatted date instead of a
  format. Follow up to Date repeat UI changes.
#1248520 by fearlsgroove, Use attribute selector on all day and end day
  checkboxes.
#952446 and #1031690 by KarenS: Select dates with only year and month were not
  working.
#1292152 by pfrenssen, Remove debug functions.
#1338976 by Josh Benner, Adjust iCal unwrap to allow for leading spaces, per
  standard.
#1352486 by d.novikov, Rework date SQL formatting for Microsoft SQL.
#1266536 by KarenS: Keep timezone adjustments from altering the values for
  repeating date EXCEPTIONS and ADDITIONS.
#1353488 by KarenS: Some repeating date calculations using PHP 5.3.6+ were not
  computing correctly.
#1364026 by KarenS: Fix link to documentation, also move help to Date API
  module.
#1276270 by KarenS: Fix fatal error when using repeat date on user.
#1362758 by KarenS: Add empty file for the date_plugin_display_attachment.inc
  file that was removed, to avoid fatal errors if it is missing on a site that
  formerly used it.
#1363460 by KarenS: Make sure widget dates do not end up with the current date
  when they should be empty.
#1353488 by KarenS: Attempt to fix problem using date_date_set() in PHP 5.3.6+.
By KarenS: Date Migrate tests needed some fixes to conform to latest code.
#1353790 by KarenS: Hide missing index notice if the value in the Date Popup
  does not match the expected value, it will still get trapped as a validation
  error.
#1353790 by KarenS: Make sure Date Popup properly translates the default value
  if it includes month or day names.
#1217796 by KarenS: Make sure that All Day formatting works correctly even if
  the All Day label is empty.
By KarenS: The repeat description was lost by a recent change to the theme that
  sent the element through the theme twice.
By KarenS: Remove date_get_nested_elements() function. Not being used and I
  don't want other code to start expecting it.
#1266144 by KarenS: The end date should get set to blank if it is optional and
  matches the start date, but only if it is not populated by default values.
#1349510 by KarenS: Make sure default values get populated before processing so
  they still get set on hidden fields.


Date 7.x-2.0-alpha5, 2011-11-29
-------------------------------
The date repeat widgets have been removed to keep users from trying to change
repeating dates into non-repeating dates. There are now just three widgets, Date
Select, Date Text, and Date Popup. Whether or not a date is a repeating date is
now controlled by a field setting.

New Features/UX Changes/API Changes:
#1304056 by DamienMcKenna: Add option to date_difference to indicate direction
  of difference.
#1238660 by KarenS: Add custom format option for the date format used in summary
  arguments.
#1038482 by somanyfish, iCal import failing due to colon instead of semi-colon.
#1252952 by eosrei: Make "all day" checkbox configurable on a per field instance
  basis.
#1266144 by arlinsandbulte: Clarify Default End Date Setting.
#1261478 by stevector and KarenS, Reconfigure the back/next buttons into item
  lists so Views ajax pager works right.
#1262960 by KarenS: Add a new module to work with the Context module to set a
  condition based on the value of a date field.
#1216878 by KarenS: Re-introduce 'repeat' as a field setting rather than a
  widget type so people can't try to switch back and forth between repeating and
  non-repeating dates. Eliminate repeat widgets.

Bugfixes:
#1280658 and follow up to Issue #1238660 by KarenS, tockliasteroid: Rework the
  format control over the summary title and apply it to the title() callback.
#1276622 by ArtistConk: Make sure Except date contains no default value.
#1153766 by fago: More work on the entity property setters and getters.
#1331214 by KarenS: Make sure Date Migrate properly handles empty date values.
#1285224 by KarenS: Make sure Date Migrate works for importing repeating dates
  now that widgets have changed.
#1162290 by KarenS: Make sure date for example formats avoids confusing short
  and long month names.
By KarenS: Re-organize handling of custom date formats.
#1122038 by KarenS: Make sure empty values are not passed to Views to be themed
  for repeating dates.
#1101284 by pfournier: Expand regex for Month names to catch more possible
  variations.
#1343406 by slashrsm: Add back the caching of the views fields list.
#1302374 by miro_dietiker: Account for an inconsistency in core handling of
  non-existant date formats.
#1344014 by James Sharpe: Get rid of 'Repeats every 0 days' description.
#1302212 by KarenS: Change the way default dates using custom code are created.
#1292898 by KarenS: Check for all day checkbox in the basic date element
  validation so empty time for newly added elements still passes validation.
#1252952 by KarenS: Follow up, Move checkbox setting to the same spot where time
  is set, and don't show option on dates without time.
#1335818 by joelpitter: Don't create a date for empty values in the date getters
  and setters.
#1271726 by KarenS: Keep default_value out of exposed form so it won't show up
  in pager.
#1017866 by KarenS: Fix miscellaneous problems where filter/argument incorrectly
  do timezone adjustment.
#1103032 by KarenS: Attempt to add setters to date entity metadata so Rules can
  use them.
#1153766 by KarenS: Adapt metadata functions to the pattern in the current
  Entity code, add $info to the getters.
#1278876 by basicmagic.net: Typo in date.css.
#752550 by Fonant: Week number gets printed twice.
#1052586 by jpsolero: Problem with Date API when using Calendar with argument
  set to "Week" granularity and "current date" default argument
#1266144 by KarenS: End date same as start date default not being respected.
#1239934 by casey: Fix javascript exception in date_year_range.js.
#1310558 by KarenS: Don't show extra label on exposed date filter.
By KarenS: Fix bug in Date Popup that still uses the current date when the
  default date is empty.
#1335578 by aaronbauman: Make it possible to pass in +/- 1000 years to years
  back/forward.
#1292516 by mcarbone: Fix Uninitialized string offset in Date Migrate.
#1084980 by jwilson3: Set default value for $granularity to be array in
  date_formatter_format.
#1227350 by grendzy: Summary view should not be calling date_forbid().
#1286570 by KarenS: Fix undefined index error caused by using a remember value
  without checking if it exists.
#1337440 by phoenix: Fix syntax error in vcalendar tpl file.
#1103032 by KarenS: Add plain date formatter and set it to be the default token
  formatter.
#1177684 by tim.plunket: Fix typo in last commit.
#1177684 by KarenS: Wrong translation of short month name.
#1201342 by colinlee, alexprv: Comment out SQLSVR timezone adjustment until it
  gets fixed properly.
#1308274 by sneyerst: SQL Server DATEPART function cannot accept composed
  datetime formats.
#1308266 by sneyerst: Fix arithmetic overflow in SQLSVR.
#1333104 by tim.plunkett: Check that $field['settings'] exists in
  date_is_repeat_field().
By KarenS: Error message for years back and forward doesn't match new labels,
  should be Starting year and Ending year.
#1179715 by KarenS: Switch drupal_array_get_nested_value() to use 'values'
  instead of 'input', where it makes sense, and simplify some of this code.
#1179715 by KarenS: Create a helper function for testing hidden/disabled dates
  and test each date element and validator to skip processing in that case.
#1179715 by KarenS: When hidden by #access=FALSE, repeating date fields were
  getting removed and not replaced.
#1179715 by KarenS: By pass date repeat widget processing and validation when
  element is hidden from user.
#1179715 by KarenS: Don't do timezone adjustments in the widget, wait for
  #process so we can skip it when the date field has been hidden by #access.
#1338194 by KarenS: Logic for creating end date wasn't taking into account the
  possibility that a field might have no value2.
#1179715 by KarenS: Default value callback for the timezone widget was not
  returning an array.
#1179716 by KarenS: Remove value_callback for date_repeat and date_combo forms,
  the default behavior works fine.
#1178716 by das-peter: Use drupal_array_get_nested_value() in Date Repeat
  instead of trying to find it manually.
#1178716 by das-peter, KarenS: Tweak the date repeat widget to identify empty
  input when used on nodes with translation.
#1178716 by das-peter, KarenS: Fix date repeat form values that are not arrays
  when hidden on a node that has translation.
#1178176 by das-peter: Fix date_combo_value_callback to return NULL to avoid
  data lost on untranslatable dates used with Entity Translation.
By KarenS: Date Context module was making incorrect assumptions about the
  $language of the field.
#1237974 by KarenS: Schema module wants the datetime column to be lower case.
#1233084 by KarenS: fix a few places that were wrapping $instance['label'] with
  t().
#1188380 by Xen, jherencia: use #title instead of field['label'] in date display
  because that has the i18n translation.
#1330768 by das-peter: remove whitespace.
By KarenS: Tweak date_pager_url to allow a way to create non-absolute urls.
By KarenS: Make sure deleted displays won't create errors in Views by returning
  FALSE in date_forbid() if there is no date argument.
#1257830 by KarenS: Beef up the logic when creating the date repeat tabs to work
  for more kinds of entities.
#1260962 by KarenS: Repeating date fields should save the date even if there is
  no repeat information.
#1241836 by kzoli: Fix undefined cardinality indexes.
#1233722 by KarenS: Fix undefined index notice in pager when other filters are
  used.


Date 7.x-2.0-alpha4, 2011-08-23
-------------------------------
Notes to themers:
Previous versions put dates with both From and To dates into a fieldset and
other dates were not. The new code adds additional floating elements that are
hard to contain, so now all dates are enclosed in fieldsets in the node form.
There are also new elements on the form, an optional checkbox for hiding/showing
the To date and an optional checkbox for hiding/showing time. Previously dates
on the node form had 'From date' and 'To date' labels above them, this has been
changed to remove those labels, using the Google calendar date entry screen as a
model. This simplifies the node form and dates take up less space. A light grey
border has been added around each collection of dates (the From date and the To
date). The display of labels above the date parts (year, month, day, date, time,
etc) is controlled in the field settings. Previous versions did not always honor
those settings, this one does.

New Features/UX Improvements:
#1249724 by KarenS, Gábor Hojtsy, David_Rothstein: Improve usability of date and
  time input configuration.
#1250784 by David_Rothstein: Add user-friendly labels for start and end date
  values in Views.
#742146 by KarenS: Add option to remove X-WR-CALNAME if VEVENT is not a feed.
By KarenS: Add option to change method from PUBLISH to REQUEST in VCALENDAR.
#334435 by KarenS: Add a theme function for the 'Date' and 'Time' labels in the
  Popup widget.
#1239956 by David_Rothstein: Change the default separation between from and t
  dates to use 'to' instead of a hyphen.
#1240628 by David_Rothstein: Make the date increment default to 15 instead of 1.
#1249724 by David_Rothstein: Improve usability of date and time input
  configuration.
#1177198 by tim.plunkett: Allow CTools to process #dependency for date elements.
#1245562 by David_Rothstein: Rename the default date display format to something
  friendlier
#1239934 by David_Rothstein, Gábor Hojtsy: Reuse the "years back and forward"
  dropdown widget on the Views filter settings page.
#1239228 by Gábor Hojtsy: Date Views filter form UI improvements, clarify the
  way absolute and relative dates work.
#233047 by ksenzee, David_Rothstein: Add the Vegas jQuery timepicker as a new
  time selector option.
#1145976 by tim.plunkett, KarenS: Add 'is date' identifier to all date handlers.
#1234140 by arlinsundbulte: Change terminology in user-facing text from 'From/To
  Date' to 'Start/End Date'.
#1233948 by KarenS: Add 'All Day' checkbox to hide/show the time parts of the
  date form. If All day is chosen, any time is replaced with 00:00:00 when the
  form is submitted.
#1233612 by KarenS: Add 'Collect end date' checkbox for dates with optional end
  dates to hide/show the end date.
#821200 by scor, KarenS: Add RDF support to the date field.
#1211744 by EclipseGC, KarenS: Add a Date pager plugin that is designed to add
  paging in conjunction with a Date argument.
#1180612 by mikeryan: Add support for Migrate module.
#1198320 by ksenzee: David_Rothstein, Noyz: Make UI improvements to field
  settings page.
#1215738 by ksenzee: Make granularity settings checkboxes horizontal.
#1215686 by ksenzee: Change name of date field types to be more intuitive.
#1216996 by ksenzee: Change the years back/forward setting into two drop down
  boxes.
#1222468 by ksenzee: Hide timezone options when using granularity without time.
#1229388 by ksenzee: Hide formatter from/to choices on fields without multiple
  values.

Removed deprecated functions:
By KarenS: Removed date_handler_fields(), only applicable to D6 code.
By KarenS: Removed date_views_real_url() and date_views_page_url(), used by
  older calendar version.
By KarenS: Remove unused date_handler_field_multiple.

Tests:
#1251592 by David_Rothstein: Set reasonable default values if date formats have
  not been configured, and add tests for that.
#1242764 by KarenS: Add tests for every possible combination of field type,
  timezone handling, and granularity.
By KarenS: More work on tests, add a foreach loop to run through all field_type
  /widget_type combinations.
By KarenS: Rework tests to use a base class rather than copying the same
  functions everywhere.
#1209408 by KarenS: Make sure date_repeat_calc() returns empty array for
  FREQ=NONE and INTERVAL=0, also add a test for that.
#1161006 by justinrandall: Add tests to check that dates that should have time
  but do not are correctly caught in validation.

Bugfixes:
#1256406 by q0rban: use variable_get() in hook_requirments().
By KarenS: Follow up to Issue #1145976, Make sure 'is date' only gets applied to
  the date values, not delta, timezone, etc.
#1238364 by KarenS: Make sure the Date pager doesn't throw errors if the default
  date is missing.
#1246416 by KarenS: Add info to the Date Popup README.txt about how to download
  the WVega timepicker.
#1253230 by KarenS: Package name of Date Migrate was different than the other
  Date components.
#1251592 by KarenS: Add installation message and system requirements warnings
  about missing system date settings.
#1250784 by KarenS: Don't save psuedo field settings created by the new UI in
  the field itself.
#1239228 by David_Rothstein: Always add Date Views css to View UI edit forms.
#1254540 by David_Rothstein: Move borders off of the wrappers so they don't
  appear when the dates inside them are hidden.
#1253248 by David_Rothstein: Move RDF attribute handling to preprocess function.
#1087798 by anj: Fix X-WR-CALNAME in VCALENDAR.
#1254582 by KarenS: Repeat additions need to be adjusted to use the same time as
  the original date.
By KarenS: Move vcalendar and vevent templates from Date Views to Date API
  modules.
By KarenS: Follow up to Issue #1250344, We don't need extra space when there is
  a description, only when there is not.
#1239228 by Gábor Hojtsy: More tweaks to filter css.
#1244924 by Gábor Hojtsy: Minor text improvements in date filter configuration.
#1245556 by David_Rothstein: Date granularity description incorrectly implies
  that it affects the date attributes that are displayed
#1247444 by Gábor Hojtsy: Give a little breathing space to the date year range
  "other" field
#1250344 by jessebeach: Fix padding around date fields by adding clearfix class.
#1249116 by yched: Fix various glitches with D6 migration code.
#1243022 by fmosca, KarenS: Make sure all_day #states visibility is only set
  when there is a value for all_day.
#1236192 by loganfsmyth: Make sure #date_label_position has a default value in
  the Date Popup module.
#1246416 by KarenS: Test whether libraries_get_path() returns a valid path
  before using it.
#1235994 by KarenS: Don't display 'All Day' when using a format that has no
  time.
#1245690 by mikeryan: Migration plugin missing seconds from date formats.
#1229406 by David Rothstein, Gábor Hojtsy, tim.plunkett: Fix broken timepicker
  in Chrome and Safari.
#1239412 by keithm: Fix validation error when #access is false.
#1232522 by KarenS: Don't alter field_ui_field_edit form except on date fields.
#1243842 by KarenS: Make sure the All Day and Show End Date flags work correctly
  in unlimited value fields that use ajax.
By KarenS: Follow up to Issue #1239956, Fix tests broken by change in date
  separator.
#1241576 by KarenS: Fix date combo validation for all-day dates so they don't
  fail validation because the format is unexpected.
By KarenS: Take the guesswork out of examining Date info for Views, add is_field
  flag.
By KarenS: Follow up to Issue #874322, Date popup field needs to accept date
  without time for the all day flag to work.
By KarenS: Follow up to Issue #1130814, It looks like the modification is not
  needed in date_repeat_set_month_day and date_repeat_set_year_day.
#1160132 by seanbfuller, KarenS: Exposed filter widgets were not displaying the
  default values.
By KarenS: Adjust the way widgets are styled in Views exposed filters after the
  latest style changes for form elements.
#1234114 by arlinsandbulte: Add more space between checkboxes.
#1234090 by KarenS: Fix undefined variable 'all_day'.
#1232570 by dboulet: Remove some unneeded duplication of core clearfix and other
  css cleanup.
#1232614 by dboulet: Date css should not be setting font family.
By KarenS: Timezone and Date Popup weren't obeying the settings for displaying
  the date part label.
#1130814 by cdracars, mikeryan, mayobutter: Fix date_modify difference between
  PHP 5.3.5 and 5.3.6 so both work to compute repeating dates.
#1017866 by KarenS, Jason89s: Make sure views argument and filter don't do
  timezone adjustment for dates that don't have time.
#1204988 by paulsheldrake: Remove IE6 code from datepicker CSS.
#1231864 by Damien McKenna: Clean up line endings in vevent and vcalendar tpl
  files.
#1231382 by dboulet: Clean up date css, code style fixes.
By KarenS: Date repeat additions and exceptions need to be reworked into full,
  timezone-adjusted, datetime values when passing them to FAPI as default
    values.
#1223034 by c4rl: Make sure repeating date additions and exceptions work
  correctly when there is more than one repeating date in the same form.
#1229362 by KarenS: Date Popup module needs date_is_date() function, which
  should not require Date module. Move that to Date API.
#1227208 by ksenzee: Minor text changes.
#1094408 by KarenS: Change method of identifying Field module filters, using the
  name of the group is not robust enough.
#1227264 by gapa: Fix wrong class in date-pager.tpl.php.
#1207540 by KarenS: Summary grouping won't work right unless the formula alias
  doesn't match an actual field value.
#1227350 by KarenS: Summary query still needs the formula, add it back.
By KarenS: Fix 'variables cannot be passed by reference' notice on repeats page.
#1222736 by KarenS: Fix export errors caused when previous export fix of using
  export plugins got broken by changes in Views.
#1077490 by KarenS: Fix notices about missing #date_flexible.
By KarenS: Move the 'top' date pager to below the header instead of below
  attachment_before so you can add header text above it.
By KarenS: The value for variable_get('date_first_day') should default to zero
  to match core default.
#1147620 by KarenS: With an assist from tim.plunkett, Fix the query so it will
  locate dates that span days or months by checking the intersection of the date
  range and the query range. Also add an option to the argument so you can do a
  simple query for either the from or to date when checking the whole range
  isn't the right solution.
#307274 by ksenzee: Fix broken validation for absolute value in years back
  /forward.
#1173374 by fietserwin: Remove translation of the jQuery datepicker day and
  month names, now handled by core.
#1192020 by tim.plunkett: Fixed date granularity is too fragile in
  date_field_all_day().
#1110012 by KarenS: Remove 'parent' items from Views plugins, no longer needed?
  See if this fixes the issue.
#1183892 by KarenS: Initialize $identifier in date_views_filter_handler_simple.
#1103290 by stickywes, ingaro: Change postgres 'FMYYYY-FMMM-FMDDTFMHH:FMMI:FMSS'
  to 'FMYYYY-FMMM-FMDDTFMHH24:FMMI:FMSS'.
#1186528 by jox: Make date field combo label translatable.
#1123186 by KingJoshi: Fix misnamed date_part_hour_prefix in hook_theme().
#1032942 by fietserwin: Rename date popup functions that are getting picked up
  by theme('date').
#1206756 by KarenS: More tweaks to the validation changes. They were blocking
  zero times and causing some test failures.
#1197352 by KarenS: Don't display language about from and to dates when there
  is no todate.
#1201288 by rafa0961: fix broken references to SQLSERVER.
By KarenS: More work on cleaning up validation, add in some ideas from
  fearlsgrove about checking the granularity of the input array against the
  expected granularity.
#1161006 Dates that should have time but do not were not correctly caught in
  validation.
By KarenS: Get rid of overlapping formatter functionality. There should be a
  default formatter with the option to choose a date format as a setting, not a
  formatter for each format. This was a leftover from the D6 functionality.
#1159404 by mikeryan: Fix incorrect call to parse an rrule in
  date_repeat_build_dates().
#1160656 by jjs: Replace missing break in date_api.sql.inc that breaks
  PostgreSQL.
#1150454 by KarenS: Fix undefined index notices for repeat_collapsed value.
#1150462 by KarenS: Put length limit on content type names created by Date Tools
  so block delta won't overflow the allowed size.
#1136734 by KarenS: When migrating date format data from D6 to D7, don't try to
  overwrite existing custom values.
#1161042 by Ollie222: Date filters using time were inconsistently formatted.
#1130884 by KarenS: Bad logic in 'between' filter SQL, should always join with
  AND.
#1139418 by ankur: Bad logic in week argument SQL, should always join with AND.
#1118356 by KarenS: Disabling the Timepicker was having no effect.
#408770 by vkareh: Make sure dates with #access = FALSE get passed through
  date_combo_element_process().
#1037174 by das-peter: add ajax support to date popup.
#1160614 by joelstein: Make sure date repeat rule gets split correctly no matter
  which line endings were used.
#1110708 by mr.baileys: Fix problem combining date filter with other exposed
  filters.
By KarenS: Switch some references to $node to use $entity instead.
#1112206, add a dummy field to the date navigation bar query to keep it from
  trying to create invalid sql.
#1112206, $this->view->query->clear_fields() is still need for date_browser to
  keep Views from trying to use missing field values.
By KarenS: Date browser only works with date_argument, should work with any
  argument derived from date.


Date 7.x-2.0-alpha3, 2011-04-26
-------------------------------
#1138700 by KarenS: missed a couple references to the construct() function.


Date 7.x-2.0-alpha2, 2011-04-26
-------------------------------
By KarenS: Follow up to Issue #1103290, constructor was not set up correctly and
  did not get triggered, so none of the date handlers had a db_type.
#1138622 by KarenS: preliminary pass at adding support for SQL Server.
#1136618 by ksenzee, Fix broken hide/show capability for date filter values.
#1059078 Add preliminary support for SQLite dates.
#1103290 by kevintheday, Use db_driver() to determine database engine.
By KarenS: The 'now' values got broken again somewhere along the line. Now we
  need to switch the ISO format used by our SQL queries back to the datetime
  format the widgets use.
By KarenS: Looks like Views changed ['expose']['operator'] to
  ['expose']['operator_id'].
#1115770, Make sure filters values are switched back to ISO format so time
  comparisons work correctly.
#1132916 by znerol, Fix a couple more usages of date_default_timezone_name().
#1131308 by KarenS: Don't try to do timzone conversion when there is no
  localzone for a field.
#1093222 Fix broken function to remove calendar views.
#820670 Add update to move D6 date format data to D7 data.
1074344 Fix problem with date select widget that keeps resetting pm back to am.
#1001186 by KarenS: Make sure that a 2 digit year is flagged as an error.
#1117420 by threewestwinds: Make timepicker formats more useful.
#1126408 by thekevinday: Add more sql formats to date api.
#1129326 by robertom: Add missing value to element in date_combo.
#998220 by jamsilver, yched: Fix handling of validation in date_combo. This
  also fixes errors when using a date in Profile 2 and Field Collections.
#1022592 by andypost, tim.plunkett optimize hook_form_alter into
  hook_form_FORMID_alter.
1021424 by joostvdl, wiizzard: Fix context in translations to use core values.
By KarenS: Remove extra fields from the Date field. I think the filter and
  argument now get the right tables joined in without that. We still need the
  extra fields on calendar, but now we will only add them in the calendar view.
By KarenS: Fix some notices in vcalendar theme.
By KarenS: Fix the mini calendar querystring.
By KarenS: Fix logic for day argument formula.
By KarenS: Fix logic for week argument formula.
#1086582 by bojanz: Summary options are in a different place now, fix the method
  of removing the summary option on multiple-date arguments.
By KarenS: Views renamed 'wildcard' to 'exception'.
By KarenS: Apparently the handler->argument value is not always populated.
By KarenS: Fix fallback value for date_group.
#1103032 by tim.plunkett: Remove token integration code until Token module is
  fixed.
By KarenS: Now that there is no group of 'Fields' we need different tests to
  tell if this is a field filter.
By KarenS: Views changed the group name of fields from 'Fields' to 'Content'.
  Blech, broke everything.
By KarenS: Fix potential error if handler is broken.
By KarenS: Remove reference to a function that no longer exists in Views.
#1116962 by jpontani, mordonez: Parse Error - date_views_fields.inc on line 119.
By KarenS: Fix the logic for year and month only dates.
By KarenS: Add helper function to test if handler is a date handler.
By KarenS: Fix broken handling when creating dates from timestamps.
By KarenS: Set some defaults for dates without month or day.
##1094408 by Boobaa: Date field not showing up in views arguments in localized
  site
#1018412 by omerida: get_class() called without object.
By KarenS: There were some problems when creating a year-only date using the
  select filter caused by trying to create a date with zeros in the month and
  day. Fix the date building logic to force a valid month and day into them.
By KarenS: Complex filters were not using the date handler of the individual
  fields.
#1100934 by KarenS: Replace deprecated date_array() function.
By KarenS: #1096246 Date argument also was not applying the group method in the
  right place in the query, causing that method to be applied to all filters.
By KarenS: Missed a couple places when re-naming the get_value() function in the
  filter.
By KarenS: Fix more notices.
#1096246 by KarenS: Date filter was not apply the group method in the right
  place in the query, causing that method to be applied to all filters.
By KarenS: Fix undefined index notice.
By KarenS: Remove non-used function.
#1082654 by arlinsandbulte: Remove master branch files and explain in readme.txt
#906622 by bfroehle: Start cleanup of Date token code.
By KarenS: Fix typo in form processing.
By KarenS: Clean up the admin summary for the date filter.
By KarenS: Fix another use of get_value() in the filter.
By KarenS: Fix some strict errors in the views filter.
#1094408 by Boobaa: Date field not showing up in views arguments in localized.
  site.
#1041428 by tim.plunkett: Fix logic errors in 'All Day' computations.
#1054458 by KarenS: Move date_increment_round() function into Date API module so
  it is always available.
#745074 by rsevero:  Don't test for valid timezone-adjusted date for dates that
  don't use time.
#1076992 by KarenS: The timezone element never got completely updated to D7.
#1013662 by developer-x: Remove check for start and end date - this prevented
  multiday-all day events from showing 'All Day'.


Date 7.x-2.0-alpha1, 2011-03-09
-------------------------------
Start a new 7.x-2.x branch that will contain a complete re-work of the Views
handling.

The 7.x-2.x branch will totally re-work and simplify the Views filters. These
changes may/will break some views and will require that you check views that use
the date filter or argument to be sure they are still configured correctly.

There is a new date_filter_handler_simple for an individual date field that
simplifies the Views handling by using most of the core Views field handling but
adds in the possibility to set a default date using options like 'now', along
with a choice of a month/day/year drop-down selector or popup calendar selector.

The date_filter_handler is an extension of the simple handler that allows you to
combine multiple dates into a single filter so that you can control all of them
with the same filter widget, allowing you to either 'OR' or 'AND' them together.

The arguments will be rewritten in the same way, with a simple argument handler
for individual dates and another handler that extends that to control multiple
dates with a single argument.

#1082658 by KarenS: Saving the options as arrays breaks other things. Add a
  custom export plugin instead.
#1082658 by KarenS: Views options need to be declared as arrays or they are not
  saved in the export in Views 3.
#1075896 by KarenS: Break out the code into the simple argument and a complex
  argument that combines date fields.
#1075890 by KarenS: Break out the code into the simple filter and a complex
  filter that combines date fields.
By KarenS: Add some error trapping in case the parent dateObject is unable to
  make a date out of a string to avoid showing the user errors.
#1027752 by B-Prod and dboulet, Fix missing table join on argument summary
  view.
#1047412 by das-peter - Using date filter in February causes "The day is
  invalid" error.
#1014162 Now that the datefield processing expands to date & time, the
  form_value is corrupted.
By KarenS: Changes to the data migration code to work with latest iteration of
  Content Migrate.
